<?xml version="1.0" encoding="utf-8"?>

<log4net debug="false">

  <appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">
    <file value="Logs/log.txt" />
    <appendToFile value="true" />
    <rollingStyle value="Size" />
    <maxSizeRollBackups value="10" />
    <maximumFileSize value="5124KB" />
    <staticLogFileName value="true" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%message%newline" />
    </layout>
  </appender>

  <root>
    <level value="INFO" />
    <appender-ref ref="RollingFileAppender" />
    <!--<appender-ref ref="ElmahAppender" />-->
  </root>

  <logger name="NHibernate">
    <level value="ERROR" />
  </logger>
  
  <logger name="NHibernate.SQL">
    <level value="ERROR" />
  </logger>
  
  <logger name="Spring">
    <level value="ERROR" />
  </logger>
</log4net>